update-manager doesn't show updates, even after 1 week

Bug #356152 reported by Jane Silber on 2009-04-06
146
This bug affects 23 people
Affects Status Importance Assigned to Milestone
update-notifier (Ubuntu)
High
Michael Vogt
Declined for Jaunty by Sebastien Bacher
Declined for Karmic by Sebastien Bacher
Declined for Lucid by Sebastien Bacher
Declined for Maverick by Robbie Williamson
Xenial
High
Unassigned

Bug Description

* Impact
update-manager is not auto-spawned to show you updates

* Test case
on a xenial update don't start update-manager nor install/remove packages by other ways for a week, update-manager should be autostarted at login

* Regression potential
update-manager could be opened in cases where it shouldn't but never more frequently that weekly

-------------------------------

Binary package hint: update-notifier

This report is not a duplicate of bug #332945.

I upgraded to Jaunty beta on Wed 25 March. According to the desired behaviour described in bug #332945 and elsewhere, update-manager should notify me at least once a week to tell me about updates. I have had no notification since I upgraded 13 days ago (and have not installed any updates since Beta).

Related branches

Michael Vogt (mvo) wrote :

Thanks for your bugreport.

Could you please open a terminal and run:
$ ps ax|grep update-notifier
and then
$ killall update-notifier ; update-notifier --debug-updates
and attach the output of the commands?

Changed in update-notifier (Ubuntu):
assignee: nobody → mvo
importance: Undecided → High
status: New → Incomplete
Jane Silber (silbs) wrote :

Unfortunately this morning I forced an update (still hadn't seen any automatic notification). But for completeness...

jane@randolph:~$ ps ax | grep update-not
 3427 ? S 0:00 update-notifier --startup-delay=60
jane@randolph:~$ killall update-notifier ; update-notifier --debug-updates
(update-notifier:8155): update-DEBUG: update_check()

** (update-notifier:8155): DEBUG: /usr/lib/update-notifier/apt-check returned 0 (security: 0)
  PID TTY TIME CMD
** (update-notifier:8155): DEBUG: crashreport_check

I've also attached /var/log/apt/term.log

Jane Silber (silbs) wrote :
Michael Vogt (mvo) wrote :

Thanks for the logs, I had a closer look at them now.

The log have dpkg runs at:
Log started: 2009-03-09 09:40:45
Log started: 2009-03-11 12:18:38
Log started: 2009-03-11 12:21:16
Log started: 2009-03-11 12:22:02
Log started: 2009-03-14 11:24:26
Log started: 2009-03-16 14:48:30
Log started: 2009-03-20 18:54:41
Log started: 2009-03-26 09:47:24
Log started: 2009-03-26 10:03:57
Log started: 2009-03-26 10:04:35
Log started: 2009-03-26 10:34:19
Log started: 2009-03-27 09:40:17
Log started: 2009-03-27 10:21:46
Log started: 2009-03-27 12:09:19
Log started: 2009-03-27 13:21:52
Log started: 2009-03-30 09:38:44
Log started: 2009-03-31 17:55:29
Log started: 2009-04-07 13:09:53

The time between the last runs (2009-03-31 and 2009-04-07) is according to pythons datetime:
6 days, 19:14:24 So we missed the 7 days time by some hours.

This maybe a usability bug. update-notiifer just checks when the last apt/dpkg action was performed
and calcualtes the 7 days based on that. But from a user perspective installing a new software and
installing a update is something different so it may not be clear why update-manager does not appear
in this situation.

I will ask the design team for its opinion.

Thanks,
 Michael

Changed in update-notifier (Ubuntu):
status: Incomplete → Triaged
Matthew Paul Thomas (mpt) wrote :

Since Add/Remove is currently incapable of installing updates, and therefore using Add/Remove doesn't mean you've decided to defer updates, it would be nice to exclude use of Add/Remove from resetting the 7-day timer.

Since installing or uninstalling applications is not usually a frequent task, though, I don't think this is a hugely important bug. (Bug 351484 is probably more important, for example.)

So you seem to be saying that I installed something from Add/Remove and
that reset the 7 day clock, and therefore I didn't get any notification
about updates. Is that right?

If so, I think there is more to this than that. I very well could be
wrong, but I don't *think* I installed anything. What I think I may
have done was open Add/Remove to check to see if a certain app was in
our repositories.

But even if I did install something (it's definitely possible and I'm
sure you can tell from the logs - they are much more reliable than my
memory!), there wasn't a "oh, and by the way there are new updates.
Would you like to install them too?" message. If we gave that sort of
notice, then resetting the clock is perfectly acceptable. But without
that, to the user it is the equivalent of changing the desktop wallpaper
resulting in them not getting updates.

I completely understand if there isn't time to fix this, but I think it
is a bigger problem for the average user than you seem to. We have a
secret (to most users) new algorithm of update notification. And because
of bug #351484, it is confusing to the people who do take the time to
try to understand what's happening. And then on top of that, this bug
means that the user can take seemingly unrelated actions which impact
that (secret and/or confusing) algorithm.

The end result to the user is unpredictability and confusion, which I
think is the last thing we want. I think that will result in people not
trusting the system, feeling like it's random and therefore unreliable,
not installing updates, and generally having a poorer and potentially
less secure experience. (Hopefully without the world crashing to a
halt, given my dire predictions! ;) )

Michael Vogt (mvo) wrote :

Thanks for reply. I agree with that, while the old system with the notification item was not ideal it was at least simple :)

The new way has some magic in it, its hard to know if its not working at all or if something reset the timer. Unfortunately its too late to fix #351484 because that requires some deeper changes.

A easy change is to make update-manager ignore other package updates/installs (e.g. done via synaptic or apt-get or add/remove) and poping up after 7 days without update-manager. This will annoy people who manage their software with apt-get/synaptic, they will probably remove update-manager/update-notifier (or discover the gconf key to get back the old behavior with the icon).

I leave this decision to the design team (if we change aynthing and if so, what).

Yann Papouin (yann-papouin) wrote :

After upgrading to Jaunty, update notifier icon is never shown in the systray.
ps -A shows that the update-notifier is running.
The auto update check is run every day.

Mario (diraimondo) wrote :

It's the same for me. Since I've installed a fresh Jaunty Beta (6-7 days ago) I've never seen the update notification icon in the sys-tray. The settings say that it should check every day. A couple of times, after 3-4 days, I've checked the update status and I've found hundred of MBs of packages to download. It didn't work in the same way in the last period in my old Intrepid installation (another computer).

Michael Vogt (mvo) wrote :

The text in software-properties is misleading, that is obviously bad. If you think the auto launching is not working, you can test it with (in a terminal):
$ NO_FAKE_STAT=1 faketime '10 days' update-notifier
(you will need the faketime package for this to work).

You need to reset the launch time afterward with:
$ gconftool --unset /apps/update-manager/launch_time
to ensure that its not recorded as launched 10 days in the future.

There is also "update-notifier --debug-updates" to check why it thinks it does not need to auto-launch.

Yann Papouin (yann-papouin) wrote :

Output of update-notifier --debug-updates

osiris@osiris:~$ update-notifier --debug-updates

(update-notifier:21316): update-DEBUG: update_check()

** (update-notifier:21316): DEBUG: /usr/lib/update-notifier/apt-check returned 160 (security: 0)
(update-notifier:21316): update-DEBUG: is_package_system_locked: 0
(update-notifier:21316): update-DEBUG: interval_days from gconf: 7

(update-notifier:21316): update-DEBUG: last_launch from gconf: 1239891104

(update-notifier:21316): update-DEBUG: last_launch from /var/log/dpkg.log: 1239891104

  PID TTY TIME CMD
14796 ? 00:28:40 pulseaudio
  PID TTY TIME CMD
14843
** (update-notifier:21316): DEBUG: crashreport_check

Before I do any test, I would be sure to understand the logic behind the
automatic notification: my settings say "check for updates: daily" and
"notify the availability of new updates"; what I understand is that the
system should make a 'apt-get update' every day (and it seems to work)
and if there at least an available update it should be notified (and it
doesn't work!). It is correct?

Thanks,
Mario

Michael Vogt (mvo) wrote :

@Mario
The system will make a "apt-get update" every day. If there is a security update it will auto-open
update-manager on login. If there is no security update it will do nothing. If no updates have been
applied for 7 days (or more) it will auto-open update-manager if updates are pending.

David D Miller (justdave) wrote :

Wait, so after 7 days, it actually opens the update-manager itself, and not just shows a notification icon in the panel, even if I'm already logged in, or just if I log out and back in again? How does this play with embedded systems? In my case, I have multiple Ubuntu boxes running MythTV -- I'd get the update-manager app suddenly showing up in front of the Myth UI on the TV sets, where someone with only a remote control can't do anything to dismiss it and get back to using the TV... Would removing update-notifier from my session be sufficient to stop that if that's the case? Normally I VNC into the things periodically to apply updates.

Matthew Paul Thomas (mpt) wrote :

David, no, the window does not appear frontmost if anything else is open, and that's not relevant to this bug report anyway. If you're using VNC to apply updates manually you should set Update Manager to not check automatically.

Mario (diraimondo) wrote :

Thank you for the clarification: if this is the intended behavior I'm
not sure if I'm affected by this bug. I'm retiring my flag 'affect me'.

Thanks,
Mario

Michael Vogt wrote:
> @Mario
> The system will make a "apt-get update" every day. If there is a security update it will auto-open
> update-manager on login. If there is no security update it will do nothing. If no updates have been
> applied for 7 days (or more) it will auto-open update-manager if updates are pending.
>

Daniel Moura (oxe) wrote :

My system has the same behaviour of it was described by the guys.

(update-notifier:11822): update-DEBUG: update_check()

** (update-notifier:11822): DEBUG: /usr/lib/update-notifier/apt-check returned 0 (security: 0)
** (update-notifier:11822): DEBUG: crashreport_check

...and the notifications are never shown (I'm using the default settings - daily check)

I have this on two Jaunty machines. One does apt-get update but doesn't show any updates, the other doesn't do anything. Both are set to daily / download in background.

Two different bugs?

Yann Papouin (yann-papouin) wrote :

I think you're right Thomas because in my case, apt-get update is run every day, it is just the update-notifier icon that doesn't appear anymore in the systray

I had two "local" problems: Machine #1 had jaunty-updates and jaunty-security unchecked in Software Sources, Machine #2 had for some reason file perm 644 on /etc/cron.daily/apt (should be 755).

Dan Kegel (dank) wrote :

I'm seeing this, too. The system in question was upgraded from an earlier version of ubuntu to 9.04.

Update Manager says "Your system is up to date. The package
information was last updated 25 days ago." (!)

$ ls -l /var/lib/apt/periodic
total 0
-rw-r--r-- 1 root root 0 2009-04-22 19:53 update-stamp
-rw-r--r-- 1 root root 0 2009-05-18 09:08 update-success-stamp

$ ls -l /etc/cron.daily/apt
-rw-r--r-- 1 root root 8686 2009-04-16 21:27 /etc/cron.daily/apt

That seems like a bug. How the heck did that not get set to mode 755?

For completeness:

Software Sources shows it checks for updates daily and has jaunty-updates and security checked.

$ ps ax|grep update-notifier
 3671 ? S 0:00 update-notifier --startup-delay=60
 5990 pts/2 S+ 0:00 grep update-notifier
$ killall update-notifier ; update-notifier --debug-updates
(update-notifier:5993): update-DEBUG: update_check()

** (update-notifier:5993): DEBUG: /usr/lib/update-notifier/apt-check returned 0 (security: 0)
** (update-notifier:5993): DEBUG: crashreport_check

[then sits there forever]

$ last dank
dank tty7 :0 Fri Jun 12 10:13 still logged in
dank tty7 :0 Sun Jun 7 17:02 - down (00:56)
dank tty7 :0 Sun Jun 7 07:04 - down (01:58)
dank tty7 :0 Sat Jun 6 19:26 - down (00:18)
dank tty7 :0 Wed Jun 3 03:05 - down (02:04)
dank tty7 :0 Tue Jun 2 07:58 - down (04:20)
dank tty7 :0 Tue Jun 2 03:58 - down (00:43)
wtmp begins Mon Jun 1 19:53:23 2009

$ ls -l /etc/issue
-rw-r--r-- 1 root root 19 2009-04-13 02:33 /etc/issue
$ cat /etc/issue
Ubuntu 9.04 \n \l
$ ls -l /var/log/dpkg*
-rw-r----- 1 root adm 0 2009-06-01 17:56 /var/log/dpkg.log
-rw-r----- 1 root adm 160998 2009-05-27 10:32 /var/log/dpkg.log.1
-rw-r----- 1 root adm 86844 2009-04-23 20:24 /var/log/dpkg.log.2.gz
-rw-r----- 1 root adm 9454 2009-04-15 19:42 /var/log/dpkg.log.3.gz

Dan Kegel (dank) wrote :

I did
  sudo chmod 755 /etc/cron.daily/apt
  sudo rm /var/spool/anacron/cron.daily

rebooted, and logged in. Five minutes later,
cron.daily ran. Five minutes after that, update
manager popped up in the task bar and offered
a huge pile of updates... but after it finished,
it still said "The package information was last updated
25 days ago"!

Dan Kegel (dank) wrote :

Hmm. /etc/cron.daily/apt will sleep for up to 1800 seconds (30 minutes),
so it looks like there's a one-day lag built into the system.
On the first day, /etc/cron.daily/apt updates the list of packages;
on the next day, update-manager uses the updated list.

Maybe we could get rid of that wasted day by having the automatically started
update-manager check /var/lib/apt/periodic/update-success-stamp;
if it's old, it should wait up to half an hour for it to change
before starting.

Dan Kegel (dank) wrote :

Please ignore my comment about the wasted day. I think update-manager already waits properly.

The /etc/cron.daily/apt permissions problem is the real issue, I think.

Dan Kegel (dank) wrote :

I'd like to have a script I can send to people complaining of autoupdate
failure to gather the information needed to diagnose the problem.
Here's a first draft.
Along with generic update-notifier and update-manager information,
it checks for the two problems I've seen personally:
wrong permissions on /etc/cron.daily/apt
and ethernet card that might be suffering from
https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.17/+bug/60764

Am I missing anything?

Dan Kegel (dank) wrote :

Here's a little perl script that tries to match exactly update-notifiers logic
(from the one used in Karmic, I think, http://update-notifier.sourcearchive.com/documentation/0.78/update_8c-source.html )
It prints out why update manager's not going to be launched.

I'll try to improve that to detect other reasons soon.

Dan Kegel (dank) wrote :

Running that perl script showed that update notifier is
probably getting confused by log rotation!
It's telling me that it won't run update manager
because /var/log/dpkg.log is too new... even when
the darn file is only new because the log was rotated and is zero size.
I'm attaching a (bad) patch showing how this might be worked around.

I think this is an old bug, only exposed in Jaunty because of the change to not showing nonsecurity updates for a week.

Don't know how much of the problem this explains, but it does seem to explain the behavior of two systems I have access to, at least today.

Dan Kegel (dank) wrote :

I see from /etc/logrotate.d/{apt,dpkg} that the logs are rotated monthly,
so the log rotation bug only prevents updates one week out of four.
Still worth fixing.

Michael Vogt (mvo) wrote :

Thanks a lot for figuring out this problem with logrotate. I fixed it in karmic and uploaded a jaunty fix to my PPA.

I installed these Jaunty packages but they seem to crash.

thnov@thomas-desktop:~$ update-notifier --debug-updates
(update-notifier:4091): update-DEBUG: update_check()

** (update-notifier:4091): DEBUG: /usr/lib/update-notifier/apt-check returned 5 (security: 0)
(update-notifier:4091): update-DEBUG: is_package_system_locked: 0
(update-notifier:4091): update-DEBUG: interval_days from gconf: 7

(update-notifier:4091): update-DEBUG: last_launch from gconf: 1247158339

(update-notifier:4091): update-DEBUG: mtime from /var/log/dpkg.log: 1246514368 (Thu Jul 2 07:59:28 2009
)

(update-notifier:4091): update-DEBUG: ctime from /var/log/dpkg.log: 1247158294 (Thu Jul 9 18:51:34 2009
)

(update-notifier:4091): update-DEBUG: last_launch from /var/log/dpkg.log: 1247158294 (Thu Jul 9 18:51:34 2009
)

Segmentation fault

Jul 9 18:57:17 thomas-desktop kernel: [ 243.729535] update-notifier[4091]: segfault at 4 ip 08051081 sp bfb37520 error 4 in update-notifier[8048000+e000]

Download full text (3.5 KiB)

I've upgraded to karmic now. Still no icons that let's me know I have available updates...

$ apt-cache policy update-notifier
update-notifier:
  Installed: 0.87
  Candidate: 0.87
  Version table:
 *** 0.87 0
        500 http://se.archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status

$ update-notifier --debug-updates
(update-notifier:3158): update-DEBUG: update_check()

(update-notifier:3158): update-DEBUG: /usr/lib/update-notifier/apt-check returned 94 (security: 0)
(update-notifier:3158): update-DEBUG: is_package_system_locked: 0
(update-notifier:3158): update-DEBUG: interval_days from gconf: 7

(update-notifier:3158): update-DEBUG: last_launch from gconf: 1252354686 (Mon Sep 7 22:18:06 2009
)

(update-notifier:3158): update-DEBUG: mtime from /var/log/dpkg.log: 1252355061 (Mon Sep 7 22:24:21 2009
)

(update-notifier:3158): update-DEBUG: ctime from /var/log/dpkg.log: 1252355061 (Mon Sep 7 22:24:21 2009
)

(update-notifier:3158): update-DEBUG: last_launch from /var/log/dpkg.log: 1252355061 (Mon Sep 7 22:24:21 2009
)

(update-notifier:3158): update-DEBUG: mtime from /var/log/dpkg.log.1: 1251756854 (Tue Sep 1 00:14:14 2009
)

(update-notifier:3158): update-DEBUG: ctime from /var/log/dpkg.log.1: 1251819204 (Tue Sep 1 17:33:24 2009
)

(update-notifier:3158): update-DEBUG: last_launch from /var/log/dpkg.log.1: 1252355061 (Mon Sep 7 22:24:21 2009
)

(update-notifier:3158): update-DEBUG: mtime from /var/log/dpkg.log.2.gz: 1248440224 (Fri Jul 24 14:57:04 2009
)

(update-notifier:3158): update-DEBUG: ctime from /var/log/dpkg.log.2.gz: 1251819204 (Tue Sep 1 17:33:24 2009
)

(update-notifier:3158): update-DEBUG: last_launch from /var/log/dpkg.log.2.gz: 1252355061 (Mon Sep 7 22:24:21 2009
)

(update-notifier:3158): update-DEBUG: mtime from /var/log/dpkg.log.3.gz: 1246138509 (Sat Jun 27 23:35:09 2009
)

(update-notifier:3158): update-DEBUG: ctime from /var/log/dpkg.log.3.gz: 1251819204 (Tue Sep 1 17:33:24 2009
)

(update-notifier:3158): update-DEBUG: last_launch from /var/log/dpkg.log.3.gz: 1252355061 (Mon Sep 7 22:24:21 2009
)

(update-notifier:3158): update-DEBUG: mtime from /var/log/apt/term.log: 1252355062 (Mon Sep 7 22:24:22 2009
)

(update-notifier:3158): update-DEBUG: ctime from /var/log/apt/term.log: 1252355062 (Mon Sep 7 22:24:22 2009
)

(update-notifier:3158): update-DEBUG: last_launch from /var/log/apt/term.log: 1252355062 (Mon Sep 7 22:24:22 2009
)

(update-notifier:3158): update-DEBUG: mtime from /var/log/apt/term.log.1.gz: 1251705770 (Mon Aug 31 10:02:50 2009
)

(update-notifier:3158): update-DEBUG: ctime from /var/log/apt/term.log.1.gz: 1251819194 (Tue Sep 1 17:33:14 2009
)

(update-notifier:3158): update-DEBUG: last_launch from /var/log/apt/term.log.1.gz: 1252355062 (Mon Sep 7 22:24:22 2009
)

(update-notifier:3158): update-DEBUG: mtime from /var/log/apt/term.log.2.gz: 1248440225 (Fri Jul 24 14:57:05 2009
)

(update-notifier:3158): update-DEBUG: ctime from /var/log/apt/term.log.2.gz: 1251819194 (Tue Sep 1 17:33:14 2009
)

(update-notifier:3158): update-DEBUG: last_launch from /var/log/apt/term.log.2.gz: 1252355062 (Mon Sep 7 22:24:22 2009
)

(update-notifier:3158): update-DEBUG: mtime from /var/log/apt...

Read more...

I now have 0.88. I tried with faketime 10 days and then update-manager pops up. Still no icon though. Then it crashes but it's probably something else (alpha release).

I add the console output of a run with faketime in case anyone is interested.

CyrusCT (cyrusct) wrote :

I'm running Karmic Beta and got the update to 0.89 today.
After updating to 0.89, I waited for the next set up updates (checking manually with Synaptic).
This used to cause update-notifier to indicate that updates are available, but still no icon showing.

Dan Kegel (dank) wrote :

From my understanding, the lack of an icon is a feature, not a bug.
The user will see the update-notifier appear in the, um, dock or whatever it's called.
That's bigger than an icon.

(BTW I think manual checks with synaptic will also reset the seven-day clock...)

CyrusCT (cyrusct) wrote :

Dan,

I know what a dock is in Mac OS, and there are several applications that can simulate that for Ubuntu, none of which would be running on an out of the box installation. Did you mean to indicate, as a group, the notifications/pop-ups with white text on a black background that are seen such as when pressing the media keys to change volume? If so, while this would be larger than an icon, unlike an icon, it is not persistently visible.

As regards the status as a feature or bug, unless you were alluding to some Microsoft bashing that was prevalent in the latter 1990s, I would like to offer the following excerpts from dictionary.com.

Feature: -noun; 1.) a prominent or conspicuous part or characteristic 2.) something offered as a special attraction
Bug: -noun; 4.) Informal. a defect or imperfection, as in a mechanical device, computer program, or plan; glitch

The description of update-notifier reads "Puts an icon in the user's notification area when package updates are available." As such, failing to do (no notification, different type of notification, icon specified but not visible, etc.) constitutes a bug, not a feature.

While I don't claim to be familiar with the seven-day clock you mentioned, My system is set to automatically check for updates daily, not weekly, and Synaptic HAS traditionally affected the icon and associated tool-tip presented by update-notifier. For instance, when downloading and installing updates, update-notifier traditionally shows a different icon for "A package manager is working" which is also not being displayed. Similarly, update-notifier has not been showing the icon for "System restart required" that it traditionally shows immediately after kernel updates. While there may be some kind of timer that is preempting the notification of updates, it should not preempt the OTHER notifications that are supposed to be shown by update-notifier.

Dan Kegel (dank) wrote :

No, I mean the standard Gnome Panel on the bottom of the screen
( http://en.wikipedia.org/wiki/Gnome-panel ), where running programs show
up. It's persistant, and I think sufficient. I seem to recall that
Jaunty does let me know very nicely if a system restart is needed.
Perhaps it's not the way it used to do it, but changes in UI design
are not bugs if they're done on purpose and work properly, which this
in general does.

You're right that the package description no longer matches its behavior,
perhaps you should file a separate bug to get that text changed.
(I suspect they're changing this stuff around a bunch for Karmic,
though.)

Now that the logrotate-related bug is fixed, I'm outta here. If I have
trouble with updates not happening promptly on Karmic, I'll file a new bug.
Bye!

Dan,

It sounds like you are describing Window List 2.28.0. If that is the
case, then it would be update-manager 1:0.126 that appears in the Window
List after a week of neglecting packages.

Seperately, update-notifier 0.89 should place an icon in a different
place (Notification Area 2.28.0), with a greater degree of sensitivity
that should not be affected by the timer for causing Update Manager to
be run.

CyrusCT (cyrusct) wrote :

Ubuntu Karmic Beta updated to update-notifier 0.90, but I'm still not seeing the icon for available updates or for "A package manager is working."

Ian Humphrey (ianhump) wrote :

I updated to Karmic from Jaunty but my update icon shows an error exclamation makr and even after running update shows 17 days since I last updated.
The attachment shows what happened when I ran the two Termical entries suggested at thwe top of the bug report.

Should I post this separately?

Ian

Dan Kegel (dank) wrote :

Can you run the perl script from comment #27 and attach its output?

Ian Humphrey (ianhump) wrote :

I am a relative novice so please forgive any misunderstanding.

I copied the patch file to terminal and obtained the attached output but it looks like gibberish so I think I do not know how to run the patch properly.

If I have done it incorrectly, please tell me how!

Regards

Ian

Ian Humphrey (ianhump) wrote :

I realised that I tried to run the patch in #26 not the script in #27 but unfortunately same ignorance applies and I do not know how to run the script properly.

advice for novice please!!

Ian

Dan Kegel (dank) wrote :

perl auto.pl

should do it.

Ian Humphrey (ianhump) wrote :

Is this what you wanted to see?

ian@ian-ubuntu:~$ perl auto.pl
0 normal updates, 0 security updates available
interval_days from gconf: 7
last_launch from gconf: 1258397069, Mon Nov 16 18:44:29 2009
mtime from /var/log/dpkg.log: 1258222076 Sat Nov 14 18:07:56 2009
ctime from /var/log/dpkg.log: 1258222076 Sat Nov 14 18:07:56 2009
mtime from /var/log/apt/term.log: 1258222077 Sat Nov 14 18:07:57 2009
ctime from /var/log/apt/term.log: 1258222077 Sat Nov 14 18:07:57 2009
latest previous update: 1258397069, last_launch
time now 1258452561 Tue Nov 17 10:09:21 2009, delta 55492
It's been 0.642268518518519 days since last update.
Autolaunch disabled. There has already been an update within the last 7 days (1258397069, last_launch).ian@ian-ubuntu:~$

Ian Humphrey (ianhump) wrote :

Please ignore as the problem does appear to be fixed.

Apologies for error.

Michael Horgan (mhorgan) wrote :

It's back now again in Lucid but then again I have over 100 sources.

Dan Kegel (dank) wrote :

Are you sure your sources are enabled? Upgrading Ubuntu disables all the third-party repos...

dORSY (dorsyka) wrote :
Download full text (3.4 KiB)

It is affecting me too.
When I killall update-notifier then start a new one, the notification aera blinks once, but no icon or anything appears. Hope this helps:

./auto.pl
4 normal updates, 0 security updates available
interval_days from gconf: 7
last_launch from gconf: 1270623944, Wed Apr 7 09:05:44 2010
mtime from /var/log/dpkg.log: 1270624167 Wed Apr 7 09:09:27 2010
ctime from /var/log/dpkg.log: 1270624167 Wed Apr 7 09:09:27 2010
mtime from /var/log/apt/term.log: 1270624168 Wed Apr 7 09:09:28 2010
ctime from /var/log/apt/term.log: 1270624168 Wed Apr 7 09:09:28 2010
latest previous update: 1270624168,ctime /var/log/apt/term.log
time now 1270722519 Thu Apr 8 12:28:39 2010, delta 98351
It's been 1.13832175925926 days since last update.
Autolaunch disabled. There has already been an update within the last 7 days (1270624168,ctime /var/log/apt/term.log)

update-notifier --debug-updates
(update-notifier:5596): update-DEBUG: update_check()
(update-notifier:5596): update-DEBUG: /usr/lib/update-notifier/apt-check returned 4 (security: 0)
(update-notifier:5596): update-DEBUG: is_package_system_locked: 0
(update-notifier:5596): update-DEBUG: interval_days from gconf: 7
(update-notifier:5596): update-DEBUG: last_launch from gconf: 1270623944 (Wed Apr 7 09:05:44 2010)
(update-notifier:5596): update-DEBUG: mtime from /var/log/dpkg.log: 1270722822 (Thu Apr 8 12:33:42 2010)
(update-notifier:5596): update-DEBUG: ctime from /var/log/dpkg.log: 1270722822 (Thu Apr 8 12:33:42 2010)
(update-notifier:5596): update-DEBUG: last_launch from /var/log/dpkg.log: 1270722822 (Thu Apr 8 12:33:42 2010)
(update-notifier:5596): update-DEBUG: mtime from /var/log/dpkg.log.1: 1269971797 (Tue Mar 30 19:56:37 2010)
(update-notifier:5596): update-DEBUG: ctime from /var/log/dpkg.log.1: 1270215256 (Fri Apr 2 15:34:16 2010)
(update-notifier:5596): update-DEBUG: last_launch from /var/log/dpkg.log.1: 1270722822 (Thu Apr 8 12:33:42 2010)
(update-notifier:5596): update-DEBUG: mtime from /var/log/dpkg.log.2.gz: 1268049514 (Mon Mar 8 12:58:34 2010)
(update-notifier:5596): update-DEBUG: ctime from /var/log/dpkg.log.2.gz: 1270215256 (Fri Apr 2 15:34:16 2010)
(update-notifier:5596): update-DEBUG: last_launch from /var/log/dpkg.log.2.gz: 1270722822 (Thu Apr 8 12:33:42 2010)
(update-notifier:5596): update-DEBUG: mtime from /var/log/apt/term.log: 1270722823 (Thu Apr 8 12:33:43 2010)
(update-notifier:5596): update-DEBUG: ctime from /var/log/apt/term.log: 1270722823 (Thu Apr 8 12:33:43 2010)
(update-notifier:5596): update-DEBUG: last_launch from /var/log/apt/term.log: 1270722823 (Thu Apr 8 12:33:43 2010)
(update-notifier:5596): update-DEBUG: mtime from /var/log/apt/term.log.1.gz: 1269971797 (Tue Mar 30 19:56:37 2010)
(update-notifier:5596): update-DEBUG: ctime from /var/log/apt/term.log.1.gz: 1270215246 (Fri Apr 2 15:34:06 2010)
(update-notifier:5596): update-DEBUG: last_launch from /var/log/apt/term.log.1.gz: 1270722823 (Thu Apr 8 12:33:43 2010)
(update-notifier:5596): update-DEBUG: mtime from /var/log/apt/term.log.2.gz: 1268049514 (Mon Mar 8 12:58:34 2010)
(update-notifier:5596): update-DEBUG: ctime from /var/log/apt/term.log.2.gz: 1270215246 (Fri Apr 2 15:34:06 2010)
(...

Read more...

The line
"Autolaunch disabled. There has already been an update within the
last 7 days (1270624168,ctime /var/log/apt/term.log)"
means you did a manual update. This inhibits automatic updates for a week.

I think this shouldn't be the default behavior, because I set up that updates must be checked every day and I want to be notified. Why isn't it notifying me every day then? This Is a bug.

----- Original Message ----
From: Dan Kegel <email address hidden>
To: <email address hidden>
Sent: Thu, 8 April, 2010 15:58:55
Subject: Re: [Bug 356152] Re: update-manager doesn't show updates, even after 1 week

The line
"Autolaunch disabled. There has already been an update within the
last 7 days (1270624168,ctime /var/log/apt/term.log)"
means you did a manual update. This inhibits automatic updates for a week.

--
update-manager doesn't show updates, even after 1 week
https://bugs.launchpad.net/bugs/356152
You received this bug notification because you are a direct subscriber
of the bug.

Status in “update-notifier” package in Ubuntu: Triaged

Bug description:
Binary package hint: update-notifier

This report is not a duplicate of bug #332945.

I upgraded to Jaunty beta on Wed 25 March. According to the desired behaviour described in bug #332945 and elsewhere, update-manager should notify me at least once a week to tell me about updates. I have had no notification since I upgraded 13 days ago (and have not installed any updates since Beta).

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/ubuntu/+source/update-notifier/+bug/356152/+subscribe

Adam Seitz (aseitz) wrote :

I have been running my updates manually everyday because my update notifier does not notify me. I am not a savvy Linux user. I am using Ubuntu because it makes this kind of thing easier for me. I would expect an updater to notify me of updates (daily as I have set it to) regardless of whether I ran it "Manually" or not.

I read the entire string on this bug and I understand the "7 day" Window... but it's horrible from an end-user perspective. I would really like to be notified about ALL updates ... I selected that in the update-notifier - Here are my settings:
* Important security updates (checked)
* Recommended updates (checked)
* Pre-Release updates (un-checked)
* Unsupported updates (un-checked)

* Check for updates "Daily" (checked).
 - Only notify about available updates

* Show new distribution releases: "Normal releases"

If you want to provide a set of check boxes in the GUI for severity checking that might work well. You could leave the default settings as "Security" and provide some optional check boxes for "Features" and "Fixes" or however Ubuntu categorizes these things. You have to understand the impression being made is "Wow! The updates doesn't work? What else is broken?"

Adam,

You may want to try using gconf-editor to change the settings for
update-notifier because it provides some additional options.

You can get there as follows:
      hit <alt> + <f2> then type "gconf-editor" and click [run].
      then, on the left, navigate to /apps/update-notifier.
      Now you can configure some additional options for update notifier

If you uncheck the box for auto_launch, that will cause update-notifier
to provide notifications in the system tray area the way it used to
instead of automatically launching the Update Manager program weekly.

If you change regular_auto_launch_interval to 0, then update-notifier
will notify you about updates when they become available.

On 05/10/2010 10:15 AM, Adam Seitz wrote:
> I have been running my updates manually everyday because my update
> notifier does not notify me. I am not a savvy Linux user. I am using
> Ubuntu because it makes this kind of thing easier for me. I would expect
> an updater to notify me of updates (daily as I have set it to)
> regardless of whether I ran it "Manually" or not.
>
> I read the entire string on this bug and I understand the "7 day" Window... but it's horrible from an end-user perspective. I would really like to be notified about ALL updates ... I selected that in the update-notifier - Here are my settings:
> * Important security updates (checked)
> * Recommended updates (checked)
> * Pre-Release updates (un-checked)
> * Unsupported updates (un-checked)
>
> * Check for updates "Daily" (checked).
> - Only notify about available updates
>
> * Show new distribution releases: "Normal releases"
>
> If you want to provide a set of check boxes in the GUI for severity
> checking that might work well. You could leave the default settings as
> "Security" and provide some optional check boxes for "Features" and
> "Fixes" or however Ubuntu categorizes these things. You have to
> understand the impression being made is "Wow! The updates doesn't work?
> What else is broken?"
>
>

Adam Seitz (aseitz) wrote :

Thanks! That should do it! :)

dORSY (dorsyka) wrote :

Hello!
> hit <alt> + <f2> then type "gconf-editor"...

This is a _workaround_. It won't fix the initial problem.
We do not except this when we set the updates in our update-manager. It _is_confusing_. It will search for updates every day, but we _do_not_ get the notification of them. Then why to search for them? I think this _should_ be the _default_ behaviour of update-notifier. I really don't understand this one-week-delay thing at all.
Thanks: *dORSY*

CyrusCT (cyrusct) wrote :

dORSY,

I don't remember posting a work-around or a fix. I recall replying to
Adam Seitz's post because reading it gave me the impression that he
might benefit having access to additional configuration options that he
might not have known about; I then listed two options that I though he
might find interesting to play around with. I don't remember claiming
that a specific combination of settings fixed anything.

On my computers I tend to keep auto_launch unchecked and
regular_auto_launch_interval set to 0, and I have not been experiencing
any problems with receiving notifications with those settings in Ubuntu
10.04 Lucid Lynx, but I'm not using the intended UI methodology for
receiving notifications, so my lack of problems may not be very meaningful.

I would describe this a changing to a UI methodology when the problem
doesn't exist, not as a fix or a work-around for the problem, since the
design team's desired UI methodology is not preserved in my method. A
fix or work-around would achieve the desired behavior, instead of
changing to a more functional but different behavior.

I agree that update-notifier /should/ default to checking regularly
instead of weekly and would gladly vote that opinion at any poll that
will be reviewed by the design team. The concept of infrequent
notification of regularly checked updates confuses me, but I don't
experience it with my current settings.

On 05/11/2010 12:12 AM, dORSY wrote:
> Hello!
>
>> hit<alt> +<f2> then type "gconf-editor"...
>>
> This is a _workaround_. It won't fix the initial problem.
> We do not except this when we set the updates in our update-manager. It _is_confusing_. It will search for updates every day, but we _do_not_ get the notification of them. Then why to search for them? I think this _should_ be the _default_ behaviour of update-notifier. I really don't understand this one-week-delay thing at all.
> Thanks: *dORSY*
>
>

dORSY (dorsyka) wrote :

CyrusCT,

"I don't remember posting a work-around or a fix."
At least it made my notifier showing "another package manager is working". I have had no updates since the configuration options set, so I don't know if the available updates will be shown.
And thank You again, to inform us about the options in gconf.

Please everybody click on "affecting me". We care about updates, they are important for us!

Adam Seitz (aseitz) wrote :

CyrusCT and dORSY,

  The settings Cyrus gave me worked like a charm. I now get update notifications on the tray icon as I did with my previous version of the Ubuntu Desktop product. It notifies for any pending updates.

  I do realize this not a "fix". It is merely a work-around for a problem that is not a real problem. It's just a design intent (that I don't like) and feels like a bug until you come here and read these 58 posts on the topic.

 Either way - I would vote for the change on a poll as well. This design change ( in my humble opinion ) feels like someone decided to fix a problem (by changing the flow and presentation of updates) that didn't exist. Basically, it feels, like a solution looking for a problem instead of the other way around.

  Thanks again Cyrus for providing me exactly the information needed to help me to modify these settings. I learned a good deal about the gconf-editor and the "run" dialog.

Cheers!

apinunt (apinunt) wrote :

I'm having the same problem on 2 installs of 10.04, and my 9.04 settings match those on the 10.04 OS, but the 9.04 system produces notifications daily if they exist.

How about a FIX as I'm getting tired of work arounds.

wilk (j-cubizolles) wrote :

I tried all the setups suggested but I still can't get any notification of pending updates

* with auto-launch = no and regular_auto_launch_interval 0
   auto.pl
          8 normal updates, 6 security updates available
          interval_days from gconf: 0
          Autolaunch disabled because interval_days 0 <= 0
   update-notifier --debug-updates
          no messagesI see some binking in the notification area

* with auto-launch = yes and regular_auto_launch_interval 7
  auto.pl
           8 normal updates, 6 security updates available
           interval_days from gconf: 7
           last_launch from gconf: 1274793898, Tue May 25 15:24:58 2010
           Autolaunch enabled! security updates, update manager would auto-launch!
update-notifier --debug-updates
           ** (update-notifier:1833): DEBUG: Skipping reboot required

But I still don't get the update-notifier window.

Dan Kegel (dank) wrote :

Hmm. With security updates available, it ought to
show you the window... (maybe there's a 1 day interval
for those? Time to look at the code again.)

Matthias G. (matgnt) wrote :

I'm also confused because of the update-notifier's behavior. I changed the regular_auto_launch_interval to 0 (comment #53) and will see if it changes the behavior to what I would expect by default. But at least this option should be part of the GUI and not hidden somewhere in the gconf-editor.

Yang (yaaang) wrote :

I'm willing to try debugging this, but any ideas on what I should look at? Here were some places I started with (based on the earlier posts in this thread).

I'm using 10.04, and when I run update-manager manually, it lists a whole bunch of updates - it just never pops up (nor do I see any tray icon).

$ ls -l /etc/cron.daily/apt
-rwxr-xr-x 1 root root 15690 2010-04-15 01:27 /etc/cron.daily/apt

$ sudo aptitude full-upgrade
[sudo] password for yang:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
The following NEW packages will be installed:
  linux-headers-2.6.32-24{a} linux-headers-2.6.32-24-generic{a}
  linux-image-2.6.32-24-generic
The following packages will be upgraded:
  apt apt-transport-https apt-utils at-spi base-files dpkg empathy
  empathy-common evince gdm gnome-orca gnome-panel gnome-panel-data
  google-chrome-stable grub-common grub-pc gwibber gwibber-service hudson
  hunspell-en-ca ia32-libs icedtea-6-jre-cacao icedtea6-plugin
  libatspi1.0-0 libdbusmenu-glib1 libdbusmenu-gtk1 libevdocument2
  libevview2 libnautilus-extension1 libnotify1 libpanel-applet2-0
  libusb-0.1-4 linux-generic linux-headers-generic linux-image-generic
  linux-libc-dev myspell-en-gb myspell-en-za nautilus nautilus-data
  nautilus-sendto-empathy nginx openjdk-6-jdk openjdk-6-jre
  openjdk-6-jre-headless openjdk-6-jre-lib openoffice.org-thesaurus-en-us
  python-pyatspi python-ubuntuone-client software-center
  ubuntu-system-service ubuntuone-client ubuntuone-client-gnome ureadahead
54 packages upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
Need to get 42.8MB/189MB of archives. After unpacking 216MB will be used.
Do you want to continue? [Y/n/?] n
Abort.

$ ps `pgrep -f update-`
  PID TTY STAT TIME COMMAND
20970 ? S 0:00 update-notifier

$ date
Wed Aug 4 17:41:06 PDT 2010

$ ls -l -h /var/lib/apt/periodic/
total 0
-rw-r--r-- 1 root root 0 2010-08-04 07:47 download-upgradeable-stamp
-rw-r--r-- 1 root root 0 2010-08-04 07:44 update-stamp
-rw-r--r-- 1 root root 0 2010-08-04 07:44 update-success-stamp
-rw-r--r-- 1 root root 0 2010-08-04 07:47 upgrade-stamp

ingo (ingo-steiner) wrote :

Same here with Lucid-amd64 and NBR.

Just a guess from me:
I have configured a "true" root-account and the 1st user is not listed in /etc/sudoers (this is default when installing from alternate CD).

Probably update-manager does not get launched, because user does not have proper permissions? Should be launched by 'gksu ...' instead of 'gksodo ..' to ask for root password?

Netbook-Rewmix does probably not launch because it is used most of the time on batteries?

In bouth cases the old beheaviour with a notification icon popping up in the panel would solve the issue.

OmegaPhil (omegaphil) wrote :

Quick note from me:

uname -a: Linux 2.6.35-22-server #35-Ubuntu SMP Sat Oct 16 22:02:33 UTC 2010 x86_64 GNU/Linux

Since the upgrade to 10.10, update-notifier has begun to work (I get infrequent prompts to d/l updates as compared to nothing with 10.04).

ingo (ingo-steiner) wrote :

I personally have installed Lucid since 4 months on 2 machines and since then NEVER seen any update notification or any pop-up. "apt-get update" seems to be run regularly, but also if security updates are pending I don't get any notification.

My personal solution is to run 'apt-get upgrade' from time to time - considering a cron job to avoid forgetting it.

This is a SECURITY ISSUE !!!

ingo (ingo-steiner) on 2010-11-12
tags: added: issue security
tags: removed: issue
ingo (ingo-steiner) wrote :

 *** security concern ***

I did now check on an up-to-date Lucid installation, which had no updates (not booted) since 2 weeks. Definitely there are several security updates pending (I did install them on my working PC with 'apt-get update && apt-get upgrade). These are the recent security updates for CUPS.

Here the output as requested by Michael Vogt in posting #1 of this thread:

ingo@lucid:~$ ps ax|grep update-notifier
 1462 ? S 0:00 update-notifier
 1471 pts/0 S+ 0:00 grep --color=auto update-notifier
ingo@lucid:~$ killall update-notifier ; update-notifier --debug-updates
** (update-notifier:1474): DEBUG: Skipping reboot required
(update-notifier:1474): update-DEBUG: update_apt_is_running: 1

(update-notifier:1474): update-DEBUG: update_apt_is_running: 0

(update-notifier:1474): update-DEBUG: update_apt_is_running: 1

(update-notifier:1474): update-DEBUG: update_apt_is_running: 0

I did now wait for several hours and did not get any notification, nor any pop-up on the GNOME-desktop. The only thing I did notice is a very short flickering in the notification area of the gnome-panel shortly (some minutes after) boot-up.

This definitely is a security issue, because it prevents immediate installation of security-updates!

If you need more information or prefer to report a new/separate bug, please let me know.

ingo (ingo-steiner) wrote :

Is this issue no longer followed up for Lucid?

I am considering to install cron-apt and configure postfix to send me e-mail via my externmal mail-account when updates are availablel. This is a proven way (for Debian) on my NAS. I really cannot accept the uncertainty with secuity updates especially.

ingo (ingo-steiner) on 2010-11-21
security vulnerability: no → yes
ingo (ingo-steiner) wrote :

And here the prove:

I just booted up Lucid (3 weeks not started) and did wait for > 2 hours - nothing happened.

I executed 'apt-get update', waiting another hour, then 'apt-get upgrade' gave this output:

.....
Die folgenden Pakete werden aktualisiert: ## translation: following packages will be upgraded ##
  cups cups-bsd cups-client cups-common empathy empathy-common grub-common
  indicator-sound libcups2 libcupscgi1 libcupsdriver1 libcupsimage2
  libcupsmime1 libcupsppdc1 libfreetype6 libgudev-1.0-0 libplymouth2
  libpurple-bin libpurple0 libssl0.9.8 libudev0 libxml2 libxml2-utils
  nautilus-sendto-empathy openssl python-libxml2 ttf-thai-tlwg tzdata udev
  xserver-common xserver-xorg-core
31 aktualisiert, 0 neu installiert, 0 zu entfernen

This clearly indicates, that it hasn't received any security updates, like
cups, libssl0.9.8 and maybe others.

Most of these upgrades are more than 2 weeks old, as you can check yourselfs. Lucid has not notified about any of them, also security-updates were pending, so apoto-update for security did not happen.

ingo (ingo-steiner) wrote :

Is this really correct:

ls -l /var/lib/apt/periodic
insgesamt 0
-rw-r--r-- 1 root root 0 2010-08-16 11:02 update-stamp
-rw-r--r-- 1 root root 0 2010-10-31 21:34 update-success-stamp

# cat /var/spool/anacron/cron.daily
20101122

So cron.daily has been run, and of course no updates applied.

Both installations where no updates are applied are "Lucid-amd64" performed with "alternate-CD".

ingo (ingo-steiner) wrote :

I just reinstalled 'update-manager-common' and 'update-manager' and executed:

/usr/lib/update-notifier/update-motd-updates-available --force
  16 Softwarepakete können aktualisiert werden.
  0 Aktualisierungen sind Sicherheitsaktualisierungen.

This information is also logged in
               /var/lib/update-notifier/updates-available

Translation:
16 upgradable packages, 0 of them are security updates.
Remark:
the 2 security packages for SSH I did install manually meanwhile for obvious reasons

But still I do not receive any notification

Unfortunately I don't have any more idea how to further dig into that problem, which logs to search for what, ... please help.

ingo (ingo-steiner) wrote :

root cause found!
workaround found!
It is a permission problem when you have installed from "alternate-CD"!

Checking /usr/share/doc/update-notifier/README gave me the deciding hint: "gksu is required". It is installed of course, but:

With alternate-CD you normally get a true root-account, which is one of the reasons why I have choosen that way (besides installing legacy-grub, a fixed network interface with fixed IP, ...).

"true root-account" does not include permissions for group "admin".
This is /etc/sudoers as from installation:

------------------------
Defaults env_reset

# Host alias specification

# User alias specification

# Cmnd alias specification

# User privilege specification
root ALL=(ALL) ALL

# Allow members of group sudo to execute any command after they have
# provided their password
# (Note that later entries override this, so you might need to move
# it further down)
%sudo ALL=(ALL) ALL
#
#includedir /etc/sudoers.d
-----------------------------

I now added permission for group "admin" and modified "Defaults:
---------------------
...
#Defaults env_reset
Defaults !lecture,tty_tickets,!fqdn,targetpw,timestamp_timeout = 0
....
# Members of the admin group may gain root privileges
%admin ALL=(ALL) ALL
-----------------------

and, to ask for root-password instead of the "admin-user" password for permission requests under GNOME I had to cheat polkit-1 by overriding the Ubuntu modifications in 51-ubuntu-admin.conf:

cp /etc/polkit-1/localauthority.conf.d/ 50-localauthority.conf /etc/polkit-1/localauthority.conf.d/52-ask-rootpw.conf

With theese modifications all works fine as expected.

At the end I do not know whom to blame for this nasty bug:
Ubuntu-installer on alternate-CD, polkit-1 configuration, update-manager for not accepting user to be in group "sudo", ...

Nevertheless it is a severe security issue for those who install fronm alternate-CD

ingo (ingo-steiner) wrote :

It's not a real patch, rather a dirty workaround.
Pleas assign the bug to whom it concerns.

ingo (ingo-steiner) wrote :

This is just a comment:

In Debian-Squeeze all works out of the box. Also separate root-account, group "admin" does not exist at all, user running update-notifier does not need to be (and is not by default) member of groups "adm" nor "sudo".

Conclusion:
Lucid's alternate-CD has been made a very frowsy way as this is not the only complaint on it.

ingo (ingo-steiner) wrote :

To be honest, I have to correct one statement:

the Installer of the alternate-CD does not offer a true root-account by default, but only when you select the "expert mode" with F6 - but that is the main reason to use the alternate-CD. Nevertheless it's a Ubuntu-bug.

Am Freitag, 26. November 2010, um 20:47:20 schrieben Sie:
> To be honest, I have to correct one statement:
>
> the Installer of the alternate-CD does not offer a true root-account by
> default, but only when you select the "expert mode" with F6 - but that
> is the main reason to use the alternate-CD. Nevertheless it's a Ubuntu-
> bug.

By the way:
Is this update-notifier existing in Debian Lenny?!
This was one of the main reasons why I use Ubuntu on my Main Desktop-PC ...

Ciao
Wolfgang

--
mailto:<email address hidden> ----------------------------
F99B 8B82 7F0D 2931 4E15 F6E6 E47F 7157 8708 FB6E
http://pgpkeys.pca.dfn.de
ICQ#331042723 UbuntuUser#3399 --------------------

ingo (ingo-steiner) wrote :

> Is this update-notifier existing in Debian Lenny?!

Yes, it does: http://packages.debian.org/stable/gnome/update-notifier
However you have to setup the cron job manually as described on the above page. I i.e. have set up 'cron-apt' on my NAS with Lenny and configured exim4 (default MTA) to send me e-mail to my external account on updates available. That works reliable.

At this occasion another deficiency/bug in Ubuntu's update-notifier:

despite I have configured to send e-mail to root@localhost in /etc/apt/apt.conf.d/50unattended-upgrades by uncommenting this line:

Unattended-Upgrade::Mail "root@localhost";

root does not receive any e-mail notification. MTA here in Lucid is postfix, which works fine for other cron-jobs.

Changed in update-notifier (Ubuntu):
status: Triaged → Fix Released
ubuntu-tester (ubuntu-tester1) wrote :
Download full text (7.0 KiB)

Hello,

The status of this bug report is "Fix released" but I still have this issue on Ubuntu 14.04 :

$ update-notifier --debug-updates
(update-notifier:9358): update-DEBUG: update_check()
(update-notifier:9358): update-DEBUG: /usr/lib/update-notifier/apt-check returned 1 (security: 0)
(update-notifier:9358): update-DEBUG: is_package_system_locked: /usr/lib/update-notifier/package-system-lockedreturned 0
(update-notifier:9358): update-DEBUG: interval_days: 7
(update-notifier:9358): update-DEBUG: last_launch: 1425972781 (Tue Mar 10 08:33:01 2015
)
(update-notifier:9358): update-DEBUG: mtime from /var/log/dpkg.log: 1425973865 (mar. mars 10 08:51:05 2015)
(update-notifier:9358): update-DEBUG: ctime from /var/log/dpkg.log: 1425973865 (mar. mars 10 08:51:05 2015)
(update-notifier:9358): update-DEBUG: last_launch from /var/log/dpkg.log: 1425973865 (mar. mars 10 08:51:05 2015)
(update-notifier:9358): update-DEBUG: mtime from /var/log/dpkg.log.1: 1425191986 (dim. mars 1 07:39:46 2015)
(update-notifier:9358): update-DEBUG: ctime from /var/log/dpkg.log.1: 1425191995 (dim. mars 1 07:39:55 2015)
(update-notifier:9358): update-DEBUG: last_launch from /var/log/dpkg.log.1: 1425973865 (mar. mars 10 08:51:05 2015)
(update-notifier:9358): update-DEBUG: mtime from /var/log/dpkg.log.2.gz: 1422859990 (lun. févr. 2 07:53:10 2015)
(update-notifier:9358): update-DEBUG: ctime from /var/log/dpkg.log.2.gz: 1425191995 (dim. mars 1 07:39:55 2015)
(update-notifier:9358): update-DEBUG: last_launch from /var/log/dpkg.log.2.gz: 1425973865 (mar. mars 10 08:51:05 2015)
(update-notifier:9358): update-DEBUG: mtime from /var/log/dpkg.log.3.gz: 1420062306 (mer. déc. 31 22:45:06 2014)
(update-notifier:9358): update-DEBUG: ctime from /var/log/dpkg.log.3.gz: 1425191995 (dim. mars 1 07:39:55 2015)
(update-notifier:9358): update-DEBUG: last_launch from /var/log/dpkg.log.3.gz: 1425973865 (mar. mars 10 08:51:05 2015)
(update-notifier:9358): update-DEBUG: mtime from /var/log/dpkg.log.4.gz: 1417383908 (dim. nov. 30 22:45:08 2014)
(update-notifier:9358): update-DEBUG: ctime from /var/log/dpkg.log.4.gz: 1425191995 (dim. mars 1 07:39:55 2015)
(update-notifier:9358): update-DEBUG: last_launch from /var/log/dpkg.log.4.gz: 1425973865 (mar. mars 10 08:51:05 2015)
(update-notifier:9358): update-DEBUG: mtime from /var/log/dpkg.log.5.gz: 1415001032 (lun. nov. 3 08:50:32 2014)
(update-notifier:9358): update-DEBUG: ctime from /var/log/dpkg.log.5.gz: 1425191995 (dim. mars 1 07:39:55 2015)
(update-notifier:9358): update-DEBUG: last_launch from /var/log/dpkg.log.5.gz: 1425973865 (mar. mars 10 08:51:05 2015)
(update-notifier:9358): update-DEBUG: mtime from /var/log/dpkg.log.6.gz: 1412145237 (mer. oct. 1 08:33:57 2014)
(update-notifier:9358): update-DEBUG: ctime from /var/log/dpkg.log.6.gz: 1425191995 (dim. mars 1 07:39:55 2015)
(update-notifier:9358): update-DEBUG: last_launch from /var/log/dpkg.log.6.gz: 1425973865 (mar. mars 10 08:51:05 2015)
(update-notifier:9358): update-DEBUG: mtime from /var/log/dpkg.log.orig: 1425365638 (mar. mars 3 07:53:58 2015)
(update-notifier:9358): update-DEBUG: ctime from /var/log/dpkg.log.orig: 1425367599 (mar. mars 3 08:26:39 2015)
(update-notifier:9358): upda...

Read more...

Matthew Paul Thomas (mpt) wrote :

This bug report was closed without explanation, branch link, or package changelog, so I think that was a mistake.

ubuntu-tester, if you turn off automatic installation of security updates, do you then start being notified of security+non-security updates? If so, you have indeed identified a logic bug.

Changed in update-notifier (Ubuntu):
status: Fix Released → Confirmed
ubuntu-tester (ubuntu-tester1) wrote :

Hello Matthew Paul Thomas. Thanks for your answer.
If I turn off automatic installation of security updates, I will be notified immediatly of security updates, and other updates will be notified at the same time (default behaviour of update manager). I don't know if it's possible to turn off notification of security updates, do you know ?

But this logic bug seems to have been already identified in this bug report in 2009 ;)

Comment #4 by Michael Vogt : https://bugs.launchpad.net/ubuntu/+source/update-notifier/+bug/356152/comments/4

"This maybe a usability bug. update-notiifer just checks when the last apt/dpkg action was performed
and calcualtes the 7 days based on that. But from a user perspective installing a new software and
installing a update is something different so it may not be clear why update-manager does not appear
in this situation."

Comment #5 by you : https://bugs.launchpad.net/ubuntu/+source/update-notifier/+bug/356152/comments/5

"Since Add/Remove is currently incapable of installing updates, and therefore using Add/Remove doesn't mean you've decided to defer updates, it would be nice to exclude use of Add/Remove from resetting the 7-day timer."

ubuntu-tester (ubuntu-tester1) wrote :

"if you turn off automatic installation of security updates, do you then start being notified of security+non-security updates?" => Yes, I'am notified of security and non-security updates.

Will Cooke (willcooke) wrote :

This is more prevalent in 16.04 now that we are auto-installing security updates and [GNOME|Ubuntu] Software is handling application updates. Looks like the code is using the log rotation dates as an indication of time passing.

Will Cooke (willcooke) wrote :
description: updated
Changed in update-notifier (Ubuntu Xenial):
importance: Undecided → High
Changed in update-notifier (Ubuntu Xenial):
assignee: nobody → Khushbuparakh (khushbuparakh)
assignee: Khushbuparakh (khushbuparakh) → nobody

Hello Jane, or anyone else affected,

Accepted update-notifier into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/update-notifier/3.168.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in update-notifier (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed
Steve Langasek (vorlon) wrote :

(not a security bug; it only impacts notification about non-security updates.)

information type: Public Security → Public
Changed in update-notifier (Ubuntu):
status: Confirmed → Fix Committed
tags: removed: security
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-notifier - 3.169

---------------
update-notifier (3.169) yakkety; urgency=medium

  * src/update.c:
    don't use the logs ctime information to decide if update-manager needs
    to be started, the log rotation updates that one which means it's
    never getting older than a week and the updater not started
    (lp: #356152)

 -- Sebastien Bacher <email address hidden> Wed, 29 Jun 2016 16:48:24 +0200

Changed in update-notifier (Ubuntu):
status: Fix Committed → Fix Released
Sebastien Bacher (seb128) wrote :

the update resolves the described issue, setting as verified

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-notifier - 3.168.1

---------------
update-notifier (3.168.1) xenial; urgency=medium

  * src/update.c:
    don't use the logs ctime information to decide if update-manager needs
    to be started, the log rotation updates that one which means it's
    never getting older than a week and the updater not started
    (lp: #356152)

 -- Sebastien Bacher <email address hidden> Wed, 29 Jun 2016 16:48:24 +0200

Changed in update-notifier (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for update-notifier has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers